config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
  mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
  # toss the redundant copy
  rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

perms() {
  # Keep same perms on file
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ -e $OLD ]; then
  cp -a $OLD $NEW.incoming
  cat $NEW > $NEW.incoming
  mv $NEW.incoming $NEW
  fi
  config $NEW
}

perms etc/rc.d/rc.clamav.new
config etc/logrotate.d/clamav.new
for NEW in etc/*.new; do
  config $NEW
done

# Remove new log if one is already present (thanks to SBo)
config var/log/clamav/clamd.log.new ; rm -f var/log/clamav/clamd.log.new
config var/log/clamav/freshclam.log.new ; rm -f var/log/clamav/freshclam.log.new

# Add user and group (uid=210 and gid=210 are SBo suggest)
if ! grep -q "^clamav:" etc/group; then
  if ! grep -q ":210:" etc/group; then
    chroot . groupadd -g 210 clamav &>/dev/null
  else
    chroot . groupadd clamav &>/dev/null
  fi
fi
if ! grep -q "^clamav:" etc/passwd; then
  if ! grep -q ":210:" etc/passwd; then
    chroot . useradd -u 210 -d /dev/null -s /bin/false -c "Clam AntiVirus" -g clamav clamav &>/dev/null
  else
    chroot . useradd -d /dev/null -s /bin/false -c "Clam AntiVirus" -g clamav clamav &>/dev/null
  fi
fi

echo "
*** NOTE ***
Run freshclam to download some virus definitions before starting clamav
"
( cd usr/lib64 ; rm -rf libclamav.so )
( cd usr/lib64 ; ln -sf libclamav.so.12 libclamav.so )
( cd usr/lib64 ; rm -rf libclamav.so.12 )
( cd usr/lib64 ; ln -sf libclamav.so.12.0.3 libclamav.so.12 )
( cd usr/lib64 ; rm -rf libclammspack.so )
( cd usr/lib64 ; ln -sf libclammspack.so.0 libclammspack.so )
( cd usr/lib64 ; rm -rf libclammspack.so.0 )
( cd usr/lib64 ; ln -sf libclammspack.so.0.8.0 libclammspack.so.0 )
( cd usr/lib64 ; rm -rf libclamunrar.so )
( cd usr/lib64 ; ln -sf libclamunrar.so.12 libclamunrar.so )
( cd usr/lib64 ; rm -rf libclamunrar.so.12 )
( cd usr/lib64 ; ln -sf libclamunrar.so.12.0.3 libclamunrar.so.12 )
( cd usr/lib64 ; rm -rf libclamunrar_iface.so )
( cd usr/lib64 ; ln -sf libclamunrar_iface.so.12 libclamunrar_iface.so )
( cd usr/lib64 ; rm -rf libclamunrar_iface.so.12 )
( cd usr/lib64 ; ln -sf libclamunrar_iface.so.12.0.3 libclamunrar_iface.so.12 )
( cd usr/lib64 ; rm -rf libfreshclam.so )
( cd usr/lib64 ; ln -sf libfreshclam.so.3 libfreshclam.so )
( cd usr/lib64 ; rm -rf libfreshclam.so.3 )
( cd usr/lib64 ; ln -sf libfreshclam.so.3.0.2 libfreshclam.so.3 )
